#
# spec file for package rubygem-slim
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-slim
Version:        5.2.1
Release:        1.4
%define mod_name slim
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://slim-template.github.io/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        series
Source2:        gem2rpm.yml
Summary:        Slim is a template language
License:        MIT
PreReq:         update-alternatives

%description
Slim is a template language whose goal is reduce the syntax to the essential
parts without becoming cryptic.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGES LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- 5.2.1 (2024-01-20)
  * Support Ruby 3.3
  * Update Gem metadata
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 5.2.0, see bundled CHANGES
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- 5.1.1 (2023-05-16)
  * Support lambda functions as shortcuts - #677 #813 #903
  * Support --enable-frozen-string-literal - #851
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- Update to 5.1.0
  * Allow whitespace markers for verbatim text: `|<`, `|>`, and `|<>` - #912
  * Do not swallow single quote after output line indicator - #911
  * Support Tilt 2.1.0 - #910
  * Fix Railtie load error - #904
  * Fix attribute parsing with square brackets - #796
- Changes from 5.0.0
  * Fix markdown interpolation #773
  * Support case/in #884
  * Extract slim/railtie #850
  * css: doesn't add type='text/css' anymore #828
  * Remove deprecated whitespace syntax =' etc
  * Add support for annotate_rendered_view_with_filenames #867, #878, #901
  * Remove deprecated syntax
  * Add option to hyphenate underscore attributes - #852
  * Update CI/CD testing and dependencies
- drop 894.patch
  Included in update
* Tue Dec 13 2022 Marcus Rueckert <mrueckert@suse.de>
- apply a modified version of the patch from PR 894 (894.patch)
  to allow newer temple versions
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 4.1.0
  see installed CHANGES
  4.1.0 (2020-05-07)
  * Add support for Tailwind CSS - #841
  * Update dependencies and testing
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.1
  see installed CHANGES
  4.0.1 (2018-09-02)
  * Fix incompatibility issue with Slim Include plugin and new ability to specifiy attributes for embedded engines #819
  4.0.0 (2018-08-26)
  * Add ability to specify attributes for embedded engines using TagEngine - #653
  * Set Tilt's default encoding to utf-8 - #800
  * Prevent generation of invalid Ruby code in heredoc - #770
  * Don't convert underscores to dashes on data attributes - #807 [Backward incompatible]
  * Update description in README.jp.md - #795
  * Removed support for embedded engines: Asciidoc, Builder, Creole, Erb, Nokogiri, Opal, Org-Ruby, Styl, Wikicloth
  * Fix tests
* Fri Dec  8 2017 mmeister@suse.com
- updated to version 3.0.9
  see installed CHANGES
* Tue May 23 2017 coolo@suse.com
- updated to version 3.0.8
  see installed CHANGES
  3.0.8 (2017-05-06)
  * Added splat_prefix configuration option for Angular2 syntax support
  * Require Ruby >= 2.0.0
  * Relax temple dependency
* Sun May 22 2016 coolo@suse.com
- updated to version 3.0.7
  see installed CHANGES
  3.0.7 (2016-05-22)
  * Add additional attributes feature to shortcuts
  * Freeze string literals
* Fri Jun 12 2015 coolo@suse.com
- updated to version 3.0.6
  see installed CHANGES
  3.0.6 (2015-06-05)
  * Fix warnings #625
* Wed Jun  3 2015 coolo@suse.com
- updated to version 3.0.4
  see installed CHANGES
* Sat Mar  7 2015 coolo@suse.com
- updated to version 3.0.3
* Mon Feb  9 2015 coolo@suse.com
- updated to version 3.0.2
  * slimrb: Add option --locals
  * Fix issues in the test suite (#576), thanks @dmke!
  3.0.1
  * Allow more special characters in html attribute names (See https://html.spec.whatwg.org/multipage/syntax.html#attributes-2), #567
  * Fix: Code attributes mutate their argument (#571)
  3.0.0
  * Drop 1.8.7 support
  * Deprecate default_options in favor of options
  * Support xml pretty printing with format: :xml
  * Deprecate `='`, `=='` and `tag'` syntax for trailing whitespace. Use `=<` etc. instead.
  * slimrb: Remove deprecated plugin options -l and -t
  2.1.0
  * Parser: Require pairwise braces in quoted attributes
  * Parser: add :attr_list_delims and :code_attr_delims
  * Parser: deprecate :attr_delims
  * Parser: relax text indentation requirements:
    | line
    next line
    tag some text
    more text
  * Parser: allow first line to be indented
  * Parser: allow inline embedded languages:
    .content: markdown: This is **important**
  * Parser: allow line breaks in quoted attributes
  * Added Opal as embedded engine
  * slimrb: Change meaning of -r, deprecate -t and -l
  * Fix issue with inserted end (#485)
  * Add experimental 'slim/include' plugin (Might change in the future)
  * Add experimental 'slim/smart' plugin (Might change in the future)
  * Drop jruby18 support
  * Fix rails error reporting #587 (Manipulate stacktrace)
* Mon Nov  3 2014 tboerger@suse.com
- Added last missing bits for new macros
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Thu Oct 31 2013 coolo@suse.com
- updated to version 2.0.2
  * Add option :attr_delims
* Wed Jul 31 2013 coolo@suse.com
- updated to version 2.0.1
  * Support multiple attributes per shortcut (See issue #415)
  * Add support for org-ruby embedded engine
  * Render true boolean attributes with empty value
  * Support case-when statements
  * Fix issue #431
  * Also escape ' to &#39;
  2.0.0
  * IMPORTANT: Backward incompatible syntax change: '{...}' and '[...]' are not
    allowed as ruby attribute wrappers anymore. Use parentheses '(...)'
    if you want to wrap code with spaces. This allows to write arrays and hashes directly.
    Old:
    div id={'obj' + name} data=({:a => 1, :b => 2}) class=['alpha', 'beta']
    New:
    div id=('obj' + name) data={:a => 1, :b => 2} class=['alpha', 'beta']
  * Quoted attributes are escaped by default
    Old:
    a href='http://slim-lang.com/?a=1&amp;b=2'
    New:
    a href='http://slim-lang.com/?a=1&b=2'
    a href=='http://slim-lang.com/?a=1&amp;b=2'
    You can always disable escaping completly by using :disable_escape if you don't want to write '=='.
  * Added hyphenation support for data attributes (Option :hyphen_attrs)
    Example: div data={key1_key2: 2, key1: {key3: 3}} will render as '<div data-key1-key2="2" data-key1-key3="3"></div>'
  * Removed deprecated options:
  - :escape_quoted_attrs
  - :remove_empty_attrs
  - :chain
  - :attr_wrapper (renamed to :attr_quote)
  - :attr_delimiter (renamed to :merge_attrs)
  - Slim::LogicLess :wrapped dictionary
  - Slim::Parser :shortcut string option
  * Allow spaces around attributes, e.g 'a [ href = url ] text' and 'a href = url text'
  * Add unicode support for tags and attributes (Issue #212)
  * Generate missing `do` keywords for code blocks (see #342)
  * Logic-less: Add keyword `self` for string access
  * Added Slim::ERBConverter, require 'slim/erb_converter'
  * Added option '-e' for ERB conversion to slimrb
  * Add syntax for trailing or leading whitespace after tag, e.g. input>, input<
  * Add syntax for trailing or leading whitespace after output, e.g. =>, =<
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.3.8
  * Disable some superflous deprecation warnings
  * Fixed issue #374, rescue and ensure blocks
  * Fixed issue #333 (Throw syntax error if you write text after closed tag)
  * Deprecated :attr_delimiter (renamed to :merge_attrs)
  * Deprecated :attr_wrapper (renamed to :attr_quote)
  * Warn if you use curly braces or brackets for ruby attributes since
    curly braces and brackets will be interpreted as Hash/Array in Slim 2.0.0
    Old syntax:
    div id={person && person.id}
    div id=[person && person.id]
    New syntax in 2.0.0:
    div id=(person && person.id)
  * Deprecated :escape_quoted_attrs (done by default in 2.0)
  * Warn if quoted attributes might be double escaped in Slim 2.0.0
    Old syntax:
    a href='http://slim-lang.com/?a=1&amp;b=2'
    a href=='http://slim-lang.com/?a=1&amp;b=2'
    New syntax in 2.0.0:
    a href='http://slim-lang.com/?a=1&b=2'
    a href=='http://slim-lang.com/?a=1&amp;b=2'
  * Improved pretty printing (Issue #202)
  * Renamed Slim::EmbeddedEngine to Slim::Embedded (Old constant still available until 2.0)
  * Renamed Slim::ControlStructures to Slim::Controls
  * Tab expansion improved (tab + space is interpreted as equivalent to tab)
  * Support for wrapping javascript in HTML comments or CDATA (Issue #340)
* Sun Mar  3 2013 coolo@suse.com
- initial package (version 1.3.6)
